VelocityReport Plugin - Defect #695

print settings not transported to printer
06/03/2013 02:53 PM - Jos de Bruijn

Status: Closed Start date: 06/03/2013
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description

I've modified the @page settings to use:

<style type="text/css" media="print">
@page { size: A4 landscape; }
</style>

When | show this in the preview component (smartclient) then it shows the data in landscape mode. But when | press the print button
the page properties are set to portrait.

History

#1 - 06/03/2013 03:42 PM - Patrick Talbot

Always match the printParams properties with the @page setting:

var orientationType = 'landscape'; || 'portrait'
var orientation;
if (orientationType == 'landscape') {
orientation = plugins.VelocityReport.PRINTORIENTATION.LANDSCAPE;
} else {

orientation = plugins.VelocityReport .PRINTORIENTATION.PORTRAIT;
}

var params = {showDialog: false, size: plugins.VelocityReport.PRINTSIZE.ISO_A4, orientation: orientation};

// 1f you want to print from the viewer, set this as a defaultReportParameter:
plugins.VelocityReport.addDefaultReportParameter ('printParams', params);

// 1if you are printing from Servoy, do:
plugins.VelocityReport.printReport (yourTemplate, context, params);

#2 - 06/03/2013 10:41 PM - Patrick Talbot

- Status changed from New to In Progress

Let me know if adding printParams work in your case, if so I'll close the bug, if not, I'll investigate further...

#3 - 07/31/2013 09:40 PM - Patrick Talbot

- Status changed from In Progress to Closed

No news is good news | suppose... so I'll close the bug. If you experience this issue after using printParams, feel free to reopen with steps to
reproduce
